# Platform Endpoints

{% hint style="info" %}
Read [Swagger UI](broken://spaces/cOltVL8GwCu4tL8RwTDW/pages/vLJrs2A5AAfxo20gATwb) to inspect endpoints and test requests.
{% endhint %}

### Authorization endpoints

| Method | URL         | Description                                                                                              |
| ------ | ----------- | -------------------------------------------------------------------------------------------------------- |
| POST   | `api/login` | [Authorization](/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/authorization.md) |

### Template endpoints

| Method | URL                | Description                                                                                     |
| ------ | ------------------ | ----------------------------------------------------------------------------------------------- |
| POST   | `/api/v1/template` | [Create template](https://docs.docstudio.com/en/master/pages/api/methods/templateCreation.html) |

### Envelope endpoints

<table><thead><tr><th width="103.79995727539062">Method</th><th width="304">URL</th><th>Description</th></tr></thead><tbody><tr><td>PUT</td><td><code>/api/v1/envelope/send</code></td><td><a href="/pages/6X5BgDaahPE0j6fnxYh4">Fill envelope</a></td></tr><tr><td>POST</td><td><code>/api/v1/envelope/send</code></td><td><a href="/pages/uoVfLHB9gRJmPBxKMDuY">Send envelope</a></td></tr><tr><td>POST</td><td><code>/api/v1/envelope/attachment</code></td><td><a href="/pages/6gLzTG6l7yk6mg1Ko5I8">Upload attachment or external documents</a></td></tr><tr><td>GET</td><td><code>/api/v1/envelope/{envelopeUuid}/for-sign</code></td><td><a href="/pages/v7InGEJcR1d9prYv2Qef">Get document(s) for sign</a></td></tr><tr><td>GET</td><td><code>/api/v1/envelope/{envelopeUuid}/zip</code></td><td><a href="/pages/ZzcNjZRZWdu7SvdMy54G">Download documents</a></td></tr><tr><td>POST</td><td><code>/api/v1/envelope/{envelopeUuid}/for-print</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/openApi.html#tag/envelope-controller/operation/getDocumentPrintVersion">Get document for print. Document should be completed.</a></td></tr></tbody></table>

To fill envelope you should provide data to field which assigned to him by request below.

<table><thead><tr><th width="136.4000244140625">Method</th><th>PUT</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/envelope/mailbox/{uuid}/{action}</code></td></tr><tr><td>Authorization</td><td>Bearer {token}</td></tr><tr><td>content-type</td><td>application/json</td></tr><tr><td>Body</td><td>“{“”data””: “”string””}”</td></tr></tbody></table>

### Audit trail endpoints

<table><thead><tr><th width="97.79998779296875">Method</th><th>URL</th><th>Description</th></tr></thead><tbody><tr><td>PUT</td><td><code>/api/v1/audittrail/envelope/{uuid}</code></td><td><a href="/pages/zxvak60PPH5QRmoqMEV1">Create audit trail record</a></td></tr><tr><td>GET</td><td><code>/api/v1/audittrail/envelope/{uuid}</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/methods/auditTrailGetByEnvelope.html">Get envelope audit trail</a></td></tr><tr><td>GET</td><td><code>/api/v1/audittrail/pdf/{uuid}</code></td><td><a href="/pages/DrGMZEc8pp4hokLmqF2R">Export envelope audit trail PDF file</a></td></tr></tbody></table>

### Mailbox endpoints

<table><thead><tr><th width="98.60003662109375">Method</th><th>URL</th><th>Description</th></tr></thead><tbody><tr><td>GET</td><td><code>/api/v1/mailbox/search</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/methods/searchMailbox.html">Search mailbox</a></td></tr><tr><td>GET</td><td><code>/api/v1/mailbox/{uuid}</code></td><td><a href="/pages/rz9b80ybyy0we29R4HjN">Check envelope status</a></td></tr></tbody></table>

### Account endpoints

<table><thead><tr><th width="85">Method</th><th>URL</th><th>Description</th></tr></thead><tbody><tr><td>POST</td><td><code>/api/v1/account/{accountUuid}/domain</code></td><td><a href="/pages/IrALu0Gg5DMYtfnUnFTB">Add new account domain</a></td></tr><tr><td>PATCH</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/verify</code></td><td><a href="/pages/efCFHXRluY7PNGiYypAa">Verify domain</a></td></tr><tr><td>PATCH</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/confirm</code></td><td><a href="/pages/dbqDlIgTK6YVl0t0oNEj">Confirm domain verification</a></td></tr><tr><td>PATCH</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/activate</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/methods/account/domains.html#activate-account-domain">Activate domain</a></td></tr><tr><td>PATCH</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/deactivate</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/methods/account/domains.html#activate-account-domain">Deactivate domain</a></td></tr><tr><td>PATCH</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/check</code></td><td><a href="/pages/goLIDJcwtYLoxNT07xVi">Check domain</a></td></tr><tr><td>DELETE</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}</code></td><td><a href="/pages/R1LEFLink77Yqk4mUeCy">Delete domain</a></td></tr><tr><td>GET</td><td><code>/api/v1/account/{accountUuid}/domain</code></td><td><a href="/pages/GDAIU2vBFPDpm15S5hog">Search domains</a></td></tr><tr><td>GET</td><td><code>/api/v1/account/{accountUuid}/users/example</code></td><td><a href="/pages/SxYYERNE6414cfVjgZQg">Get example file</a></td></tr><tr><td>POST</td><td><code>/api/v1/account/{accountUuid}/users</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/methods/account/users.html#mass-create-users">Mass create users</a></td></tr></tbody></table>

### User/Profile endpoints

<table><thead><tr><th width="103.4000244140625">Method</th><th>URL</th><th>Description</th></tr></thead><tbody><tr><td>POST</td><td><code>/api/v1/account/{accountUuid}/user</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/openApi.html#tag/account-controller/operation/createCorporateUser">Create new corporate user in domain which has to be verified and activated.</a></td></tr><tr><td>DELETE</td><td><code>/api/v1/account/{accountUuid}/user</code></td><td><a href="https://docs.docstudio.com/en/master/pages/api/openApi.html#tag/account-controller/operation/deleteCorporateUsers">Account admin can delete many corporate users at once. In case of exception, no user will be deleted.</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/platform-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
